libnvme(2)

NAME
struct nvme_host_ext_discover_log - Host Extended Discovery Log

SYNOPSIS
struct nvme_host_ext_discover_log {
__u8 trtype;
__u8 adrfam;
__u8 rsvd2[8];
__le16 eflags;
__u8 rsvd12[244];
char hostnqn[NVME_NQN_LENGTH];
char traddr[NVMF_TRADDR_SIZE];
union nvmf_tsas tsas;
__le32 tel;
__le16 numexat;
__u8 rsvd1030[2];
struct nvmf_ext_attr exat[];
};

Members

trtype
    Transport Type

adrfam
    Address Family

rsvd2
    Reserved

eflags
    Entry Flags

rsvd12
    Reserved

hostnqn
    Host NVMe Qualified Name

traddr
    Transport Address

tsas
    Transport Specific Address Subtype

tel Total Entry Length

numexat
    Number of Extended Attributes

rsvd1030
    Reserved

exat
    Extended Attributes List